NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.CAE.SmartSelectionManager Member List

This is the complete list of members for NXOpen.CAE.SmartSelectionManager, including all inherited members.

AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
CreateAdjacentFaceMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateAdjacentFaceMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateAdjacentFaceMethod(NXOpen.CAE.CAEEdge[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateCircularEdgeMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, double dMinRadius, double dMaxRadius, bool onlyHoleEdges)NXOpen.CAE.SmartSelectionManagerinline
CreateCircularEdgeMethod(NXOpen.CAE.CAEEdge[] seeds, bool doEntityVisibilityCheck, double dMinRadius, double dMaxRadius, bool onlyHoleEdges)NXOpen.CAE.SmartSelectionManagerinline
CreateCircularEdgeMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck, double dMinRadius, double dMaxRadius, bool onlyHoleEdges)NXOpen.CAE.SmartSelectionManagerinline
CreateCircularEdgeMethod(NXOpen.CAE.CAEBody[] seeds, bool doEntityVisibilityCheck, double dMinRadius, double dMaxRadius, bool onlyHoleEdges)NXOpen.CAE.SmartSelectionManagerinline
CreateCylinderFaceMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, double dMinCylinderRadius, double dMaxCylinderRadius, double dMinCylinderAngle, double dMaxCylinderAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateCylinderFaceMethod(NXOpen.CAE.CAEBody seed, double dMinCylinderRadius, double dMaxCylinderRadius, double dMinCylinderAngle, double dMaxCylinderAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateCylinderFaceMethod(NXOpen.CAE.CAEBody[] seeds, bool doEntityVisibilityCheck, double dMinCylinderRadius, double dMaxCylinderRadius, double dMinCylinderAngle, double dMaxCylinderAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateCylinderFaceMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck, double dMinCylinderRadius, double dMaxCylinderRadius, double dMinCylinderAngle, double dMaxCylinderAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateEdgePathMethod(NXOpen.CAE.CAEEdge seedEdgeTag, NXOpen.CAE.CAEVertex seedStartVertexTag, bool preferFreeEdges, bool allowGapJumping, double gapJumpingTolerance, NXOpen.CAE.PathType pathMethodType, double dTangentAngleTolerance)NXOpen.CAE.SmartSelectionManagerinline
CreateElemEdgePathMethod(NXOpen.CAE.FEElemEdge seedElemEdgeTag, NXOpen.CAE.FENode seedStartNodeTag, bool preferFreeEdges, bool preferGeometryAssociatedEdges, bool preferFeatureElementEdge, double featureAngleTolerance, bool allowGapJumping, double gapJumpingTolerance, NXOpen.CAE.PathType pathMethodType, double dTangentAngleTolerance)NXOpen.CAE.SmartSelectionManagerinline
CreateElemLabelMethod(bool doEntityVisibilityCheck, int startLabel, int endLabel, int labelIncrement)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureEdgeNodeMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, bool computeFreeEdgesOnVisibleModel, bool stopAtNonManifoldJunctions, NXOpen.CAE.Type edgeType, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureEdgeNodeMethod(NXOpen.CAE.FEElement seedElemTag, int seedElemEdgeId, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureEdgeNodeMethod(NXOpen.CAE.FEElemEdge[] seedTags, bool doEntityVisibilityCheck, bool computeFreeEdgesOnVisibleModel, bool stopAtNonManifoldJunctions, NXOpen.CAE.Type edgeType, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureElemEdgeMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, bool computeFreeEdgesOnVisibleModel, bool stopAtNonManifoldJunctions, NXOpen.CAE.Type edgeType, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureElemEdgeMethod(NXOpen.CAE.FEElement seedElemTag, int seedElemEdgeId, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureElemEdgeMethod(NXOpen.CAE.FEElemEdge[] seedTags, bool doEntityVisibilityCheck, bool computeFreeEdgesOnVisibleModel, bool stopAtNonManifoldJunctions, NXOpen.CAE.Type edgeType, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureElemEdgeMethod(NXOpen.CAE.Mesh[] seedTags, bool doEntityVisibilityCheck, bool computeFreeEdgesOnVisibleModel, bool stopAtNonManifoldJunctions, NXOpen.CAE.Type edgeType, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureElemFaceMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, bool computeFreeFacesOnVisibleModel, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureElemFaceMethod(NXOpen.CAE.FEElement seedElemTag, int seedElemFaceId, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureElemFaceMethod(NXOpen.CAE.FEElemFace[] seedTags, bool doEntityVisibilityCheck, bool computeFreeFacesOnVisibleModel, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureElemMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, bool computeFreeFacesOnVisibleModel, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureElemMethod(NXOpen.CAE.FEElement seedElemTag, int seedElemFaceId, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureElemMethod(NXOpen.CAE.FEElemFace[] seedTags, bool doEntityVisibilityCheck, bool computeFreeFacesOnVisibleModel, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureNodeMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, bool computeFreeFacesOnVisibleModel, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureNodeMethod(NXOpen.CAE.FEElement seedElemTag, int seedElemFaceId, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureNodeMethod(NXOpen.CAE.FEElemFace[] seedTags, bool doEntityVisibilityCheck, bool computeFreeFacesOnVisibleModel, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureShellElemMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, bool computeFreeFacesOnVisibleModel, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureShellElemMethod(NXOpen.CAE.FEElement seedElemTag, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFeatureShellElemMethod(NXOpen.CAE.FEElement[] seedTags, bool doEntityVisibilityCheck, bool computeFreeFacesOnVisibleModel, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFilletFaceMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, NXOpen.CAE.RadiusType radiusType, double dMinFilletRadius, double dMaxFilletRadius, double dMinFilletAngle, double dMaxFilletAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFilletFaceMethod(NXOpen.CAE.CAEBody seed, NXOpen.CAE.RadiusType radiusType, double dMinFilletRadius, double dMaxFilletRadius, double dMinFilletAngle, double dMaxFilletAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFilletFaceMethod(NXOpen.CAE.CAEBody[] seeds, bool doEntityVisibilityCheck, NXOpen.CAE.RadiusType radiusType, double dMinFilletRadius, double dMaxFilletRadius, double dMinFilletAngle, double dMaxFilletAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFilletFaceMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck, NXOpen.CAE.RadiusType radiusType, double dMinFilletRadius, double dMaxFilletRadius, double dMinFilletAngle, double dMaxFilletAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterBodyMethod(NXOpen.CAE.CAEBody[] seeds, NXOpen.PhysicalMaterial material, bool filterbyVolume, double minVolume, double maxVolume)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterBodyMethod(NXOpen.SelectionMethod inputMethod, NXOpen.PhysicalMaterial material, bool filterbyVolume, double minVolume, double maxVolume)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterBodyMethod(NXOpen.SelectionMethod inputMethod, NXOpen.PhysicalMaterial material, bool filterbyVolume, double minVolume, double maxVolume, NXOpen.CAE.BodyType bodyType)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterBodyMethod(NXOpen.CAE.CAEBody[] seeds, NXOpen.PhysicalMaterial material, bool filterbyVolume, double minVolume, double maxVolume, NXOpen.CAE.BodyType bodyType)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterEdgeMethod(NXOpen.CAE.CAEEdge[] seeds, double minLength, double maxLength)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterEdgeMethod(NXOpen.SelectionMethod inputMethod, double minLength, double maxLength)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterElemMethod(NXOpen.CAE.FEElement[] seeds, NXOpen.CAE.NamedPropertyTable physical, NXOpen.PhysicalMaterial material, int neutraltype, NXOpen.CAE.Criteria thicknessCriteria, double minThickness, double maxThickness, double[] thicknesses)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterElemMethod(NXOpen.SelectionMethod inputMethod, NXOpen.CAE.NamedPropertyTable physical, NXOpen.PhysicalMaterial material, int neutraltype, NXOpen.CAE.Criteria thicknessCriteria, double minThickness, double maxThickness, double[] thicknesses)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterElemMethod(NXOpen.CAE.FEElement[] seeds, NXOpen.CAE.NamedPropertyTable physical, NXOpen.PhysicalMaterial material, NXOpen.CAE.ElementTypes.Dimension elemDimension, NXOpen.CAE.ElementTypes.NeutralType neutralType, NXOpen.CAE.Criteria thicknessCriteria, double minThickness, double maxThickness, double[] thicknesses)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterElemMethod(NXOpen.SelectionMethod inputMethod, NXOpen.CAE.NamedPropertyTable physical, NXOpen.PhysicalMaterial material, NXOpen.CAE.ElementTypes.Dimension elemDimension, NXOpen.CAE.ElementTypes.NeutralType neutralType, NXOpen.CAE.Criteria thicknessCriteria, double minThickness, double maxThickness, double[] thicknesses)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterFaceMethod(NXOpen.CAE.CAEFace[] seeds, double minArea, double maxArea)NXOpen.CAE.SmartSelectionManagerinline
CreateFilterFaceMethod(NXOpen.SelectionMethod inputMethod, double minArea, double maxArea)NXOpen.CAE.SmartSelectionManagerinline
CreateGroupEdgeMethod(NXOpen.CAE.CaeGroup seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateGroupElemEdgeMethod(NXOpen.CAE.CaeGroup seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateGroupElemFaceMethod(NXOpen.CAE.CaeGroup seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateGroupElemMethod(NXOpen.CAE.CaeGroup seed, bool doEntityVisibilityCheck, NXOpen.CAE.GroupElemMethodElemOption.ElemOption elemOption)NXOpen.CAE.SmartSelectionManagerinline
CreateGroupFaceMethod(NXOpen.CAE.CaeGroup seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateGroupMethod(NXOpen.CAE.CaeGroup seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateGroupNodeMethod(NXOpen.CAE.CaeGroup seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateHoleElementEdgeMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, double dMinElementEdgeHoleRadius, double dMaxElementEdgeHoleRadius, bool allowNonCircularHoles)NXOpen.CAE.SmartSelectionManagerinline
CreateHoleElementEdgeMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck, double dMinElementEdgeHoleRadius, double dMaxElementEdgeHoleRadius, bool allowNonCircularHoles)NXOpen.CAE.SmartSelectionManagerinline
CreateHoleElementEdgeMethod(NXOpen.CAE.FEElemEdge seedElemEdgeTag, bool doEntityVisibilityCheck, double dMinElementEdgeHoleRadius, double dMaxElementEdgeHoleRadius, bool allowNonCircularHoles)NXOpen.CAE.SmartSelectionManagerinline
CreateNodeLabelMethod(bool doEntityVisibilityCheck, int startLabel, int endLabel, int labelIncrement)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedEdgeElemMethod(NXOpen.CAE.CAEEdge seed, bool doEntityVisibilityCheck, bool flipSeedStart)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedEdgeElemMethod(NXOpen.Line seed, bool doEntityVisibilityCheck, bool flipSeedStart)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedEdgeElemMethod(NXOpen.Arc seed, bool doEntityVisibilityCheck, bool flipSeedStart)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedEdgeElemMethod(NXOpen.Conic seed, bool doEntityVisibilityCheck, bool flipSeedStart)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedEdgeElemMethod(NXOpen.Spline seed, bool doEntityVisibilityCheck, bool flipSeedStart)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedEdgeNodeMethod(NXOpen.CAE.CAEEdge seed, bool doEntityVisibilityCheck, bool flipSeedStart)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedEdgeNodeMethod(NXOpen.Line seed, bool doEntityVisibilityCheck, bool flipSeedStart)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedEdgeNodeMethod(NXOpen.Arc seed, bool doEntityVisibilityCheck, bool flipSeedStart)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedEdgeNodeMethod(NXOpen.Conic seed, bool doEntityVisibilityCheck, bool flipSeedStart)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedEdgeNodeMethod(NXOpen.Spline seed, bool doEntityVisibilityCheck, bool flipSeedStart)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedFeatureEdgeElemMethod(NXOpen.CAE.FEElemEdge seedTag, bool doEntityVisibilityCheck, bool computeFreeEdgesOnVisibleModel, bool flipSeedStart, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateOrderedFeatureEdgeNodeMethod(NXOpen.CAE.FEElemEdge seedTag, bool doEntityVisibilityCheck, bool computeFreeEdgesOnVisibleModel, bool flipSeedStart, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreatePathEnclosedElemFaceMethod(NXOpen.CAE.ElemEdgePathMethod inputMethod, bool doEntityVisibilityCheck, bool flipLoopDirection, bool stopAtNonManifoldJunctions, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedCurveMethod(NXOpen.CAE.FEElemEdge[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedCurveMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedCurveMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedCurveMethod(NXOpen.CAE.FENode[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedEdgeMethod(NXOpen.CAE.CAEBody[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedEdgeMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedEdgeMethod(NXOpen.CAE.FEElemEdge[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedEdgeMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedEdgeMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedEdgeMethod(NXOpen.CAE.FENode[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedEdgeMethod(NXOpen.CAE.CAEVertex[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedEdgeMethod(NXOpen.CAE.MeshControl[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemEdgeMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemEdgeMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemEdgeMethod(NXOpen.CAE.CAEEdge[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemEdgeMethod(NXOpen.CAE.Mesh seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemEdgeMethod(NXOpen.CAE.CAEEdge seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemEdgeMethod(NXOpen.Spline seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemFaceMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemFaceMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemFaceMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemFaceMethod(NXOpen.CAE.Mesh seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemFaceMethod(NXOpen.CAE.CAEFace seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemFaceMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck, NXOpen.CAE.FacePref facePreference)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemFaceMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, NXOpen.CAE.FacePref facePreference)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemFaceMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck, NXOpen.CAE.FacePref facePreference)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemFaceMethod(NXOpen.CAE.FEElement[] seedTags, bool doEntityVisibilityCheck, NXOpen.CAE.FacePref facePreference)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.CAEBody[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.CAEEdge[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.FENode[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.Line[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.Arc[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.Conic[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.FEElemFace[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.Spline[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.Point[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.Mesh seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.CAEBody seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.CAEFace seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.CAEEdge seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.CAE.FENode seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.Line seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.Arc seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.Conic seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedElemMethod(NXOpen.Spline seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedFaceMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedFaceMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedFaceMethod(NXOpen.CAE.FENode[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedFaceMethod(NXOpen.CAE.FEElemFace[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedFaceMethod(NXOpen.CAE.Mesh seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedFaceMethod(NXOpen.CAE.FENode seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedFaceMethod(NXOpen.CAE.FEElemFace seedTag, int seedElemFaceId, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedFaceMethod(NXOpen.CAE.CAEBody[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedFaceMethod(NXOpen.CAE.CAEEdge[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedFaceMethod(NXOpen.CAE.MeshControl[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.CAEBody[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.CAEEdge[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.CAEVertex[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.FEElement[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.MeshPoint[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.Point[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.Line[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.Arc[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.Conic[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.Spline[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.FEElemEdge[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.FEElemFace[] seedTags, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.Mesh seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.CAEBody seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.CAEFace seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.CAEEdge seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.FEElement seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.MeshPoint seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.Point seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.Line seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.Arc seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.Conic seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.Spline seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.FEElemEdge seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedNodeMethod(NXOpen.CAE.FEElemFace seedTag, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedVertexMethod(NXOpen.CAE.CAEBody[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedVertexMethod(NXOpen.CAE.CAEEdge[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedVertexMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedVertexMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedVertexMethod(NXOpen.CAE.FENode[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateRelatedVertexMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateShowAdjacentGroupMethod(NXOpen.CAE.CaeGroup seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateShowHideGroupMethod(NXOpen.CAE.CaeGroup seed, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateSliverFaceMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, double dSliverTolerance)NXOpen.CAE.SmartSelectionManagerinline
CreateSliverFaceMethod(NXOpen.CAE.CAEBody seed, double dSliverTolerance)NXOpen.CAE.SmartSelectionManagerinline
CreateSliverFaceMethod(NXOpen.CAE.CAEBody[] seeds, bool doEntityVisibilityCheck, double dSliverTolerance)NXOpen.CAE.SmartSelectionManagerinline
CreateSliverFaceMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck, double dSliverTolerance)NXOpen.CAE.SmartSelectionManagerinline
CreateSpiderCoreNodeMethod(NXOpen.CAE.Mesh[] seeds, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateSpiderCoreNodeMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck)NXOpen.CAE.SmartSelectionManagerinline
CreateTangentContinuousEdgeMethod(NXOpen.CAE.CAEEdge seed, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateTangentContinuousEdgeMethod(NXOpen.CAE.CAEEdge[] seeds, bool doEntityVisibilityCheck, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateTangentContinuousEdgeMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, double dFeatureAngle)NXOpen.CAE.SmartSelectionManagerinline
CreateTangentFaceMethod(NXOpen.SelectionMethod inputMethod, bool doEntityVisibilityCheck, bool stopAtNonManifoldJunctions, double dTangentTolerance)NXOpen.CAE.SmartSelectionManagerinline
CreateTangentFaceMethod(NXOpen.CAE.CAEFace seed, double dTangentTolerance)NXOpen.CAE.SmartSelectionManagerinline
CreateTangentFaceMethod(NXOpen.CAE.CAEFace[] seeds, bool doEntityVisibilityCheck, bool stopAtNonManifoldJunctions, double dTangentTolerance)NXOpen.CAE.SmartSelectionManagerinline
NextSinkNXOpen.Utilities.NXRemotableObject
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.CAE.SmartSelectionManager
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.